<?php
if (!defined('FREEPBX_IS_AUTH')) { die('No direct script access allowed'); }
//	
//	AWSFPBX Instance Info Module
//  Copyright 2020 TheWebMachine Networks
//  https://www.thewebmachine.net/
//  Version 14.0.7 - 2020-01-19
//
?>

<script>
//function changeText(val) {
//    document.getElementById("clustercmd").value = val;
//}

//function showLog(val) {
//	document.getElementById("clustercmd").value = val;
//	document.clustermgr.submit();
//}
</script>

<div class="container-fluid">
	<div class="row">
		<div class="col-sm-12">
			<div class="fpbx-container">
				<div class="display no-border">
					<div class="container-fluid">
						<div class="section-title" data-for="asteriskcli">
							<h1><?php echo _("AWS FreePBX Instance Information</h2>") ?></h1>
						</div>
					<div class="row">
						<div class="section">
							<div class="element-container">
								<table id="Header" class="table table-striped">
								<?php
								$command = "curl -s http://169.254.169.254/latest/dynamic/instance-identity/document | grep -oP '(?<=\"accountId\" : \")[^\"]*(?=\")'"; $output = shell_exec($command);
								echo _("<tr><td><h3><b>AWS Account/Subscriber ID #:</b> <font color=\"red\">$output</font></h3></td>");
								$command = "md5sum <<<\"$(curl -s http://169.254.169.254/latest/dynamic/instance-identity/document | grep -oP '(?<=\"accountId\" : \")[^\"]*(?=\")')\" | cut -d'-' -f1"; $output = shell_exec($command);
								echo _("<td><h3><p align=\"right\"><b>Support Token:</b> <font color=\"red\">$output</font></p></h3></td></tr>");
								?>
								<tr><h3><p align="center"><font color="red"><b>WARNING: THIS PAGE EXPOSES SENSITIVE INFORMATION. DO NOT PUBLISH THIS PAGE ONLINE!</b></font></h3></tr>
								</table>
								<table id="ClusterStatus" class="table table-striped">
									<?php
																	
									$command = "hostname"; $output = shell_exec($command);
										echo _("<tr><td><b>Hostname:</b></td> <td>$output</td>");
									$command = "curl -s http://169.254.169.254/latest/meta-data/public-ipv4"; $output = shell_exec($command);
										echo _("<td><b>Public IPv4:</b></td> <td>$output</td></tr>");
																		
									$command = "cat /etc/awsfpbx/twm-ami-version"; $output = shell_exec($command);
										echo _("<tr><td><b>TWM AMI Version:</b></td> <td>$output</td>");
									$command = "curl -s http://169.254.169.254/latest/meta-data/instance-id"; $output = shell_exec($command);
										echo _("<td><b>Instance-ID:</b></td> <td>$output</td></tr>");
																		
									$command = "cat /etc/awsfpbx/su-stub-version"; $output = shell_exec($command);
										echo _("<tr><td><b>SmartUpgrade Version:</b></td> <td>$output</td>");
									$command = "curl -s http://169.254.169.254/latest/meta-data/instance-type"; $output = shell_exec($command); $command = "nproc"; $output2 = shell_exec($command); $command = "free -h | awk '/Mem:/ {print $2}'"; $output3 = shell_exec($command);
										echo _("<td><b>Instance Type:</b></td> <td>$output ($output2 CPU cores/$output3 RAM)</td></tr>");
																		
									$command = "/usr/sbin/asterisk -rx \"core show version\" | cut -c 10-17"; $output = shell_exec($command);
										echo _("<tr><td><b>Asterisk Version:</b></td> <td>$output</td>");
									$command = "curl -s http://169.254.169.254/latest/meta-data/placement/availability-zone"; $output = shell_exec($command);
										echo _("<td><b>Region/Availability Zone:</b></td> <td>$output</td></tr>");

									$command = "uname -r"; $output = shell_exec($command);
										echo _("<tr><td><b>Kernel Version:</b></td> <td>$output</td>");
									$command = "curl -s http://169.254.169.254/latest/meta-data/security-groups | paste -sd \"|\""; $output = shell_exec($command);
										echo _("<td><b>Security Group(s):</b></td> <td>$output</td></tr>");
										
									$command = "/usr/sbin/fwconsole ma list | grep framework | cut -d\| -f3"; $output = shell_exec($command);
										echo _("<tr><td><b>Framework Version:</b></td> <td>$output</td>");
									$command = "if [ -e /etc/awsfpbx/cluster.conf ]; then sed -n 1p /etc/awsfpbx/cluster.conf; else echo \"No Cluster Affiliation Found\"; fi"; $output = shell_exec($command);
										echo _("<td><b>Cluster Role:</b></td> <td><a href='config.php?display=awsfpbx_ha'>$output</a></td></tr>");
									
									$command = "uptime -p | cut -d\"p\" -f2"; $output = shell_exec($command);
										echo _("<tr><td><b>Uptime:</b></td> <td>This server has been running for$output</td></tr>");

									#echo _("<tr><td><hr></td><td><hr></td><td><hr></td><td><hr></td></tr>");
									
									
									?>
								</b></table>
								
								</p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


